DH_INSTALLEXAMPLES(1)

NOME
dh_installexamples - instala ficheiros exemplo em directórios de compilação de pacotes

RESUMO
dh_installexamples [debhelper opções] [-A] [-Xitem] [ficheiro ...]

DESCRIÇÃO
dh_installexamples é um programa debhelper responsável por instalar exemplos em usr/share/doc/package/examples nos directórios de compilação de pacotes.

Desde nível de compatibilidade 11 do debhelper em diante, o dh_install irá procurar os ficheiros em debian/tmp, se não os encontrar no directório actual (ou onde você o mandou procurar usando --sourcedir).

FICHEIROS

debian/pacote.examples
    Lista ficheiros ou directórios exemplo para serem instalados.

    Se o autor fornecer um directório examples, você vai muitas vezes querer usar examples/* em vez de examples neste ficheiro. O posterior irá criar /usr/share/doc/pacote/examples/examples, o que raramente é o que você quer.

    Suporta variáveis de substituição em compatibilidade 13 e posterior como documentado em debhelper(7).

OPÇÕES

-A, --all
    Instala quaisquer ficheiros especificados pelos parâmetros de linha de comandos em TODOS os pacotes em que actua.

--sourcedir=directório
    Procura no directório especificado por ficheiros para serem instalados. Esta opção requer compatibilidade 11 ou posterior (é ignorada em silêncio na compatibilidade 10 ou anterior).

    Note que isto não é o mesmo que a opção --sourcedirectory usada pelos comandos dh_auto_*. Você raramente vai precisar de usar esta opção, pois o dh_installexamples procura automaticamente por ficheiros em debian/tmp no nível de compatibilidade 11 e superiores do debhelper.

--doc-main-package=main-package
    Define o pacote principal para pacote de documentação. Isto é usado para a documentação do pacote de documentação em /usr/share/doc/main-package como recomendado pelo manual de políticas Debian 3.9.7 em §12.3.

    Em compatibilidade 11 (ou posterior), esta opção apenas é útil se a auto-detecção do debhelper do pacote principal está errada. A opção também pode ser usada para silenciar um aviso do debhelper quando a auto-detecção falha mas acontece a predefinição estar correcta.

    Esta opção não pode ser usada quando dh_installexamples é instruído para actuar em múltiplos pacotes. Se precisar desta opção, você irá geralmente precisar de combina-la com -p para assegurar exactamente que um pacote é actuado.

    The X-Doc-Main-Package field can be used instead since debhelper/13.28. It has similar semantics but does not require command line options.

-Xitem, --exclude=item
    Exclui de serem instalados ficheiros que tenham item em qualquer ponto no seu nome de ficheiro.

ficheiro ...
    Instala estes ficheiros (ou directórios) como exemplos no primeiro pacote em que actua. (Ou em todos os pacotes se for especificado -A).

NOTAS
Note que dh_installexamples irá alegremente copiar as hierarquias de directórios inteiras se lho pedir (semelhante a cp -a). Se lhe for pedido para instalar um directório, ele irá instalar o conteúdo completo do directório.

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.